%define         gst_minver      0.10.11.2
%define         gstpy_minver    0.10.0
%define         pygtk_minver    2.8.0
# Python sitelib macro trick from http://fedoraproject.org/wiki/PackagingDrafts/Python
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%define         svn_rev 1421

Name:		codeina
Version:	0.10.1
Release:	8%{?dist}
Summary:	GStreamer Codec Installation Application

Group:		Applications/Internet
License:	GPLv2.1+
URL:		https://core.fluendo.com/gstreamer/trac/browser/codeina
# Upstream SVN repository is at https://core.fluendo.com/gstreamer/svn/codeina/trunk/
Source:		http://www.fluendo.com/downloads/codeina/%{name}-%{version}.tar.bz2
Source1:	gst-install-plugins-helper.sh
Patch0:         codeina-f8-wishlist.patch
Patch1:         codeina-less-chat.patch
Patch2:		codeina-link.patch
Patch3:		codeina-new-bundles.patch
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

Requires:	python >= 2.3
Requires:	gstreamer >= %{gst_minver}
Requires:	gstreamer-python >= %{gstpy_minver}
Requires:	pygtk2 >= %{pygtk_minver}
Requires:	pyxdg
Requires:	python-sexy

BuildRequires:	python-devel >= 2.3

BuildRequires:	gettext desktop-file-utils gawk
BuildRequires:	intltool

BuildArch:	noarch

%description
Codeina installs codecs for GStreamer.

%prep
%setup -q
%patch0 -p0 -b .old
pushd codeina/
%patch1 -p0 -b .chat
popd
%patch2 -p1 -b .link
%patch3 -p0 -b .bundles

%build
%configure

%install
rm -rf $RPM_BUILD_ROOT

# use DESTDIR so compiled python files get tagged correctly with their
# final location
make DESTDIR=$RPM_BUILD_ROOT install

install -D -m 0755 %{SOURCE1} $RPM_BUILD_ROOT%{_libexecdir}/gst-install-plugins-helper

%find_lang codeina

%clean
rm -rf $RPM_BUILD_ROOT

%files -f codeina.lang
%defattr(-,root,root,-)
%doc ChangeLog COPYING README AUTHORS
%{_bindir}/codeina
%{_libexecdir}/gst-install-plugins-helper
%{python_sitelib}/codeina
%{_datadir}/%{name}/

%changelog
* Tue Apr 08 2008 - Bastien Nocera <bnocera@redhat.com> - 0.10.1-8
- Revert to 0.10.1 from the F-8 build

* Fri Apr 04 2008 - Bastien Nocera <bnocera@redhat.com> - 0.10.1-7.r1421.1
- Add Requires on redhat-lsb
- Add patch to provide an installer via gnome-packagekit
- Remove third-party providers files
- Add PyYAML BR

* Fri Apr 04 2008 - Bastien Nocera <bnocera@redhat.com> - 0.10.1-7.r1421
- Update to latest upstream
- Remove obsolete patches

* Wed Nov  7 2007 Matthias Clasen <mclasen@redhat.com> - 0.10.1-6
- Add a missing dependency

* Tue Oct 16 2007 Matthias Clasen <mclasen@redhat.com> - 0.10.1-5
- Fix #325231:
  + Remove excessive branding
  + Change the wording of the dialog
  + Add a link

* Wed Oct 10 2007 - Bastien Nocera <bnocera@redhat.com> - 0.10.1-4
- Remove some useless verbose (#325301)

* Tue Oct 09 2007 - Bastien Nocera <bnocera@redhat.com> - 0.10.1-3
- Quote each codec details correctly in the gst-install-plugins-helper
  script, thanks to Matthias Clasen for the help

* Mon Oct 01 2007 - Bastien Nocera <bnocera@redhat.com> - 0.10.1-2
- Big patch from myself (fixes from Thomas) to:
- Show a title to the price column (#299251)
- Not redownload already downloaded packages, and check whether corrupted
  (#305421)
- Select free matching codecs by default (#305411)
- Clearly show an empty list and a warning when no codecs match the required
  ones, so users don't get confused

* Mon Aug 27 2007 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.10.1-1
- New release
- remove noarch forcing now that codeina is noarch

* Wed Aug 22 2007 - Bastien Nocera <bnocera@redhat.com> - 0.10.0.1-0.20070525.170400.4
- Add missing gawk BR for intltool

* Tue Aug 21 2007 - Bastien Nocera <bnocera@redhat.com> - 0.10.0.1-0.20070525.170400.3
- Add location of the SVN in the comments
- Remove gcc-c++ requirement, it's not needed anymore
- Fix buildroot usage consistencies
- Fix INTLTOOL_ICONV errors when running under mock
- Add dist to the release

* Tue Aug 21 2007 - Bastien Nocera <bnocera@redhat.com> - 0.10.0.1-0.20070525.170400.2
- Install codeina's python code in the site-packages as recommended by the draft
  packaging guidelines
- Update the license to match the latest requirements

* Tue May 29 2007 - Bastien Nocera <bnocera@redhat.com> - 0.10.0.1-0.20070525.170400.1
- Add missing pyxdg requires
- Install codeina's python code in datadir, not libdir
- Change to a better codeina URL

* Fri May 25 2007 - Bastien Nocera <bnocera@redhat.com> - 0.10.0.1-0.20070525.170400
- Update for review
- add a helper script to start codeina when GStreamer requests a codec

* Sun Mar 04 2007 Thomas Vander Stichele <thomas at apestaart dot org>
- First package

